%define _sourcedir %{_topdir}/SOURCES/qcg-comp

%{!?default_package_ext: %define default_package_ext tar.gz}

Summary:	nagios probes for qcg-comp
Summary(pl.UTF-8):	proby nagiosa dla qcg-comp
Name:		qcg-comp-nagios-probe
Version:	3.4.0
Release:	9
License:	Apache v2.0
Group:		Tools
Source:		%{name}-%{version}.%{default_package_ext}
URL:		http://www.qoscosgrid.org/trac/qcg-computing
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildArch:      noarch
Obsoletes:	nagios-plugins-qcg-comp
Provides:	nagios-plugins-qcg-comp
Requires:       qcg-comp-java-sdk >= 3.4.0-8

%define         _prefix         /usr/libexec/grid-monitoring/probes/org.qoscosgrid/computing
%define         _state_dir      /var/lib/gridprobes/pl.plgrid/QCG-Computing/

%description
Nagios probes for QCG-Computing service.

%description -l pl.UTF-8
Proby Nagiosa dla uslugi QCG-Computing.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

sh install.sh $RPM_BUILD_ROOT/%{_prefix}

%post
mkdir -p %{_state_dir}
chown nagios %{_state_dir}
%preun
%postun
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_prefix}/tests/*
%attr(755,root,root) %{_prefix}/check_qcg_comp
%attr(755,root,root) %{_prefix}/check_qcg_apps
%attr(755,root,root) %{_prefix}/check_qcg_factory
%{_prefix}/README

%changelog
* Tue Nov 12 2013 Mariusz Mamonski <mamonski@man.poznan.pl> 3.1.1
- Changed location of the tests descriptions. New tests added (13 in total)
* Tue Oct 29 2013 Mariusz Mamonski <mamonski@man.poznan.pl> 3.1.0
- New applications tests
- FactoryAttributes test
* Tue Jul 16 2013 Bartosz Bosak <bbosak@man.poznan.pl> 3.0.0-4
- Improved SPEC file: added changelog
